[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TControlScrollBar.Assign

Assign - if Source is a TControlScrollBar, copies properties to itself, else performs inherited Assign

## Declaration

Source position: forms.pp line 136

`public procedure TControlScrollBar.Assign(`
`Source: TPersistent`
`); override;`

## Arguments

`Source` |  | The object that called this instance of the class

## Description

Assigns the contents of the source object to the current object; in particular finds the increment, position, range and whether smooth scrolling is to be feature and whether the scroll bar is visible

## See also

#rtl.Classes.TPersistent.Assign

The latest version of this document can be found at lazarus-ccr.sourceforge.net.